# eoBitNext< Chrom > Class Template Reference
[Bitstring]

eoBitNext --> next value when bitstring considered as binary value More...

`#include <ga/eoBitOp.h>`

Inheritance diagram for eoBitNext< Chrom >:

List of all members.

## Public Member Functions

virtual std::string | className () const
| The class name.
bool | operator() (Chrom &chrom)
| Change the bit std::string x to be x+1.

## Detailed Description

### template<class Chrom>
class eoBitNext< Chrom >

eoBitNext --> next value when bitstring considered as binary value

Definition at line 174 of file eoBitOp.h.

## Member Function Documentation

template<class Chrom>
bool eoBitNext< Chrom >::operator() | ( | Chrom & | chrom | ) | `[inline, virtual]`

Change the bit std::string x to be x+1.

Parameters:

  | chrom | The chromosome to be added one.

Implements eoUF< Chrom &, bool >.

Definition at line 184 of file eoBitOp.h.

The documentation for this class was generated from the following file:

- eoBitOp.h